Cyberduck Mountain Duck CLI

#9682 closed defect (duplicate)

ACLs applied but not displayed for upload

Reported by: RickDC Owned by: dkocher
Priority: normal Milestone: 5.2
Component: s3 Version: 5.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When uploading an object to an S3 bucket, permissions are not seen to be applied until exit and restart.

Procedure:

  1. Goto bucket & folder in CyberDuck
  2. Drag and Drop file
  3. Upon success, right click, select INFO
  4. Click PERMISSIONS
  5. Add EVERYONE and change permissions to READ
  6. Window refreshes, EVERYONE disappears.

ACL is applied, however, it is only showed when CyberDuck is restarted

Occurring on Mac OSX 10.12 BETA (16A313a)

Change History (5)

comment:1 Changed on Sep 7, 2016 at 10:55:33 AM by dkocher

  • Component changed from core to s3
  • Milestone set to 5.2
  • Owner set to dkocher
  • Priority changed from high to normal
  • Severity changed from major to normal
  • Summary changed from Amazon S3 Permissions on upload to ACLs applied but not displayed for upload

comment:2 Changed on Oct 5, 2016 at 1:39:23 PM by dkocher

  • Milestone changed from 5.2 to 5.1.3

Milestone renamed

comment:3 Changed on Oct 5, 2016 at 1:39:23 PM by dkocher

  • Milestone changed from 5.1.3 to 6.0

Ticket retargeted after milestone closed

comment:4 Changed on Oct 11, 2016 at 10:21:20 AM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #9731.

comment:5 Changed on Oct 19, 2016 at 2:17:19 PM by dkocher

  • Milestone changed from 6.0 to 5.2

Milestone renamed

Note: See TracTickets for help on using tickets.